"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
exports.INJECTIONS_MD_KEY = 'Reflect:injections';
function Inject(token) {
    return (target, propertyKey, parameterIndex) => {
        const injections = Reflect.getOwnMetadata(exports.INJECTIONS_MD_KEY, target) || [];
        injections.push({
            token,
            parameterIndex
        });
        Reflect.defineMetadata(exports.INJECTIONS_MD_KEY, injections, target);
    };
}
exports.Inject = Inject;
